<?php
	/*Just load it up like normal */
	include ('class.xslttemplates.php');
	$template = New template();

	/* Tell it what files you want */
	$template->add_file('phpgw');
	$template->add_file('top');
	$template->add_file('left');
	$template->add_file('bottom');
	$template->add_file('todo');

	/* Set variables, which will be autoconverted to XML for you */
	/* API and Menu stuff */
	$template->set_var('VERSION','1.0.0',False,'PHPGWAPI');
	$template->set_var('LEFT_TABLE_WIDTH','5%',False,'PHPGWAPI');
	$template->set_var('RIGHT_TABLE_WIDTH','0%',False,'PHPGWAPI');
	$template->set_var('TOP_TABLE_HEIGHT','5%',False,'PHPGWAPI');
	$template->set_var('TOP_FRAME_HEIGHT','45',False,'PHPGWAPI');
	$template->set_var('TOP_SCROLLING','NO',False,'PHPGWAPI');
	$template->set_var('BODY_TABLE_WIDTH','90%',False,'PHPGWAPI');
	$template->set_var('BODY_TABLE_HEIGHT','89%',False,'PHPGWAPI');
	$template->set_var('BOTTOM_TABLE_HEIGHT','1%',False,'PHPGWAPI');
	$template->set_var('BOTTOM_FRAME_HEIGHT','40',False,'PHPGWAPI');
	$menuapps['MENUAPP'][] = Array('MENUAPPNAME'=>'Addressbook', 'MENUAPPCAT'=>'Information','MENUAPPSELECTED'=>'True','MENUAPPVERSION'=>'1.0.0');
	$menuapps['MENUAPP'][] = Array('MENUAPPNAME'=>'Calendar', 'MENUAPPCAT'=>'Information','MENUAPPVERSION'=>'1.0.0');
	$template->set_var('MENUAPPS',$menuapps,False,'PHPGWMENU');

	/* This would be the app data */
	$tododata['ITEM'][] = Array('ITEMID'=>'123', 'ITEMTITLE'=>'Fix sink','ITEMDUEDATE'=>'Today');
	$tododata['ITEM'][] = Array('ITEMID'=>'321', 'ITEMTITLE'=>'Fix phpgw','ITEMDUEDATE'=>'Tomorrow');
	/* notice that this one does not specify that it is app data, because that is the default */
	$template->set_var('ITEMS',$tododata);

	/* Various options for outputting this for debugging/learning purposes */
	switch($GLOBALS['HTTP_GET_VARS']['show'])
	{
		case 'xml':
			$template->parse();
			echo $template->xmldata;
			break;
		case 'xsl':
			$template->parse();
			echo $template->xsldata;
			break;
		case 'source':
			echo highlight_file ('index.php');
			break;
		case 'classsource':
			echo highlight_file ('class.xslttemplates.php');
			break;
		default:	/* Now for your typical print parse */
			$template->pparse();
	}
?>
